org.apache.commons.imaging.formats.jpeg.segments

## Class App14Segment

- java.lang.Object
- - org.apache.commons.imaging.common.BinaryFileParser
  - - org.apache.commons.imaging.formats.jpeg.segments.Segment
    - - org.apache.commons.imaging.formats.jpeg.segments.GenericSegment
      - - org.apache.commons.imaging.formats.jpeg.segments.AppnSegment
        - - org.apache.commons.imaging.formats.jpeg.segments.App14Segment

-     public class App14Segment
      extends AppnSegment

  http://www.aiim.org/documents/standards/PDF-Ref/References/Adobe/5116.DCT_Filter.pdf

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADOBE_COLOR_TRANSFORM_UNKNOWN`
    `static int` | `ADOBE_COLOR_TRANSFORM_YCbCr`
    `static int` | `ADOBE_COLOR_TRANSFORM_YCCK`

    - ### Fields inherited from class org.apache.commons.imaging.formats.jpeg.segments.Segment

      `length, marker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `App14Segment(int marker, byte[] segmentData)`
    `App14Segment(int marker, int markerLength, InputStream is)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAdobeColorTransform()`
    `boolean` | `isAdobeJpegSegment()`

    - ### Methods inherited from class org.apache.commons.imaging.formats.jpeg.segments.AppnSegment

      `getDescription`

    - ### Methods inherited from class org.apache.commons.imaging.formats.jpeg.segments.GenericSegment

      `dump, dump, getSegmentData, getSegmentData, getSegmentDataAsString`

    - ### Methods inherited from class org.apache.commons.imaging.formats.jpeg.segments.Segment

      `getSegmentType, toString`

    - ### Methods inherited from class org.apache.commons.imaging.common.BinaryFileParser

      `debugNumber, debugNumber, getByteOrder, setByteOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ADOBE_COLOR_TRANSFORM_UNKNOWN

          public static final int ADOBE_COLOR_TRANSFORM_UNKNOWN

      See Also:
        Constant Field Values

    - #### ADOBE_COLOR_TRANSFORM_YCbCr

          public static final int ADOBE_COLOR_TRANSFORM_YCbCr

      See Also:
        Constant Field Values

    - #### ADOBE_COLOR_TRANSFORM_YCCK

          public static final int ADOBE_COLOR_TRANSFORM_YCCK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### App14Segment

          public App14Segment(int marker,
                              byte[] segmentData)
                       throws IOException

      Throws:
        `IOException`

    - #### App14Segment

          public App14Segment(int marker,
                              int markerLength,
                              InputStream is)
                       throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### isAdobeJpegSegment

          public boolean isAdobeJpegSegment()

    - #### getAdobeColorTransform

          public int getAdobeColorTransform()

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.